<ServiceContract()>
Public Interface IService1
  <OperationContract()>
  Function ObtenerTfnos() As List(Of Detalles)

  <OperationContract()>
  Function ObtenerTfno(tf As String) As telefono

  <OperationContract()>
  Sub ActualizarTfno(entidad As telefono)

  <OperationContract()>
  Sub AgregarTfno(entidad As telefono)

  <OperationContract()>
  Sub BorrarTfno(entidad As telefono)
End Interface

<DataContract()>
Public Class Detalles
  Private _apellido1 As String
  Private _telefono As String
  Public Sub New(ap As String, tf As String)
    _apellido1 = ap
    _telefono = tf
  End Sub

  <DataMember()>
  Public Property apellido1() As String
    Get
      Return _apellido1
    End Get
    Set(value As String)
      _apellido1 = value
    End Set
  End Property

  <DataMember()>
  Public Property telefono() As String
    Get
      Return _telefono
    End Get
    Set(value As String)
      _telefono = value
    End Set
  End Property
End Class
